Get Devices Pv Typical Production
Get the typical production for pv devices associated with your energy supplier account in kWh for a specific timeframe with 15min granularity.
This estimation is done everyday at a fixed time depending on supplier.
The timestamp refers to the data that will happen in the next 15 minutes after the timestamp.
Documentation Index
Fetch the complete documentation index at: https://docs.nox.energy/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API Key authentication. Enter your API key in the format: YOUR_API_KEY
Query Parameters
Start time when the production measurement were taken. The time is in UTC in ISO 8601 format.
Time format examples:
- 2023-10-01T00:00:00Z
- 2023-10-01T00:00:00
End time when the production measurement were taken. The time is in UTC in ISO 8601 format.
Time format examples:
- 2023-10-01T00:00:00Z
- 2023-10-01T00:00:00
The maximum number of items to return per page of results.
This should be used together with the next_token parameter to paginate through results.
Read the pagination parameter documentation for more details.
1 <= x <= 1000The next_token is a token used to retrieve the next page of results when there are more results
than can fit in a single page(=API response).
By default, the API will return a next_token of the first page if no token was given as a parameter.
If the token is null you have reached the end of the results.
This should be used together with the limit parameter to paginate through results.
To get all results of your call, you can keep calling the same API call with the previously returned next_token until it returns null.
If true, sum the production of the devices.
If false, return the production of each device separately.
Note: If device_id is given in the device_id parameter, the aggregated parameter is ignored.
Device ID to get production of. If None, all devices are included.